Query Active Orders (PREDICTION_TRADE)
API Description
Get active (open) prediction orders for the authenticated user.
HTTP Request
GET /sapi/v1/w3w/wallet/prediction/order/list
Request Weight(IP)
200
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| walletAddress | STRING | YES | User's prediction wallet address |
| tradeSide | STRING | NO | Filter by trade side. Enum: BUY, SELL |
| l1Category | STRING | NO | Filter by level-1 category |
| marketId | LONG | NO | Filter by market ID |
| offset | INT | NO | Pagination offset. Default: 0, min: 0 |
| limit | INT | NO | Page size. Default: 20, range: 1–100 |
Response Example
{
"total": 2,
"offset": 0,
"limit": 20,
"orders": [
{
"orderId": "54124",
"vendorOrderId": "0x1234abcd...",
"vendor": "PREDICT_FUN",
"marketTopicId": 4229564,
"slug": "btc-price-1h-up-or-down",
"topicType": "FLAT",
"marketTopicTitle": "BTC Price 1h Up or Down?",
"translatedMarketTopicTitle": null,
"marketTopicImageUrl": "https://cdn.example.com/prediction/btc-1h.png",
"thumbnailPaths": [
{ "size": "100x100", "path": "topic/btc_q80_100x100.png" }
],
"marketVariant": "CRYPTO_UP_DOWN",
"marketId": 5567895,
"marketTitle": "UP",
"translatedMarketTitle": null,
"outcome": "YES",
"translatedOutcome": null,
"outcomeIndex": 0,
"status": "OPENING",
"side": "BUY",
"orderType": "LIMIT",
"createTime": 1748131500000,
"modifyTime": 1748131500000,
"terminalTime": null,
"makerUsdtAmount": "1.00",
"makerShareQty": "2000.00",
"filledUsdtAmount": "0.00",
"filledShareQty": "0.00",
"fillPercentage": "0.00",
"price": "0.50",
"marketProviderFee": "0.02",
"networkFee": "0.000001",
"costBasis": null,
"realizedPnl": null,
"errorMessage": null,
"eventId": null
}
]
}